import configparser

from util.encrypt_decyrpt import decrypt_text


def get_db_url(config_file: str) -> str:
    config = configparser.ConfigParser()
    config.read(config_file)
    key = config["database"]["encryption_key"]
    host = config["database"]["host"]
    port = config["database"]["port"]
    user = config["database"]["username"]
    password = decrypt_text(config["database"]["password"], key)
    database_name = config["database"]["name"]
    sql_alchemy_scheme = config["database"]["sql_alchemy_scheme"]
    url = f"{sql_alchemy_scheme}://{user}:{password}@{host}:{port}/{database_name}"
    return url


def get_db_url_with_db_name(config_file: str, database_name: str) -> str:
    config = configparser.ConfigParser()
    config.read(config_file)
    key = config["database"]["encryption_key"]
    host = config["database"]["host"]
    port = config["database"]["port"]
    user = config["database"]["username"]
    password = decrypt_text(config["database"]["password"], key)
    sql_alchemy_scheme = config["database"]["sql_alchemy_scheme"]
    url = f"{sql_alchemy_scheme}://{user}:{password}@{host}:{port}/{database_name}"
    return url
