from cryptography.fernet import Fernet


def encrypt_text(plain_text: str, encryption_key: str) -> str:
    cipher = Fernet(encryption_key.encode())
    return cipher.encrypt(plain_text.encode()).decode()


# Decrypt encrypted text
def decrypt_text(encrypted_text: str, encryption_key: str) -> str:
    """Decrypts Fernet-encrypted text with the given encryption key."""
    cipher_suite = Fernet(encryption_key.encode())
    decrypted_text = cipher_suite.decrypt(encrypted_text.encode()).decode()
    return decrypted_text
